## ros-noetic-multires-image 1.4.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(multires_image)

find_package(catkin REQUIRED COMPONENTS
  cv_bridge
  gps_common
  mapviz
  pluginlib
  roscpp 
  tf 
  swri_transform_util 
  swri_math_util
  swri_yaml_util
)

### Boost ###
find_package(Boost REQUIRED thread)

### OpenGL ###
if(${CMAKE_VERSION} VERSION_EQUAL "3.11.0" OR ${CMAKE_VERSION} VERSION_GREATER "3.11.0")
  cmake_policy(SET CMP0072 NEW)
endif()
find_package(OpenGL REQUIRED)

### OpenCV ###
# multires_image doesn't directly use OpenCV, but it uses swri_transform_util, and
# we need to include OpenCV to make one of its headers compile.
find_package(OpenCV COMPONENTS core imgproc REQUIRED)

find_package(Qt5Core REQUIRED)
find_package(Qt5Gui REQUIRED)
find_package(Qt5OpenGL REQUIRED)
find_package(Qt5Widgets REQUIRED)
# Setting these variable so catkin_package can export Qt as a dependency
set(Qt_FOUND TRUE)
set(Qt_INCLUDE_DIRS "${Qt5Core_INCLUDE_DIRS};${Qt5Gui_INCLUDE_DIRS};${Qt5OpenGL_INCLUDE_DIRS};${Qt5Widgets_INCLUDE_DIRS}")
set(Qt_LIBRARIES
    Qt5::Core
    Qt5::Gui
    Qt5::OpenGL
    Qt5::Widgets
    )
add_definitions(-DWFlags=WindowFlags)

catkin_package(
  INCLUDE_DIRS include
  LIBRARIES ${PROJECT_NAME} ${PROJECT_NAME}_plugin multires_widget
  DEPENDS Qt
  CATKIN_DEPENDS
    mapviz
    pluginlib
    roscpp
    swri_transform_util
    swri_yaml_util
    tf
)

set(CMAKE_INCLUDE_CURRENT_DIR ON)
include_directories(include)
include_directories(SYSTEM
  ${catkin_INCLUDE_DIRS}
  ${OpenCV_INCLUDE_DIRS}
)

# Build libtile_cache
set(TILE_SRC_FILES 
   src/tile.cpp
   src/tile_cache.cpp
   src/tile_set.cpp
   src/tile_set_layer.cpp)

qt5_wrap_cpp(TILE_SRC_FILES include/${PROJECT_NAME}/tile_cache.h)

add_library(${PROJECT_NAME} 
  ${TILE_SRC_FILES}
)
target_link_libraries(${PROJECT_NAME}
  ${catkin_LIBRARIES}
  ${Boost_LIBRARIES}
  ${Qt_LIBRARIES}
  ${GLU_LIBRARY}
)
if ($ENV{ROS_DISTRO} STREQUAL "kinetic" OR $ENV{ROS_DISTRO} STRLESS "kinetic")
  set_target_properties(${PROJECT_NAME} PROPERTIES 
    CXX_STANDARD 11
    CXX_STANDARD_REQUIRED ON
  )
endif()

# Build libmultires_widget
set(UI_FILES
  src/QGLMap.ui
  src/multires_config.ui
)
set(WIDGET_SRC_FILES src/tile_view.cpp src/QGLMap.cpp)

qt5_wrap_ui(WIDGET_SRC_FILES ${UI_FILES})
qt5_wrap_cpp(WIDGET_SRC_FILES include/${PROJECT_NAME}/QGLMap.h)

add_library(multires_widget ${WIDGET_SRC_FILES})
target_link_libraries(multires_widget ${PROJECT_NAME})
if ($ENV{ROS_DISTRO} STREQUAL "kinetic" OR $ENV{ROS_DISTRO} STRLESS "kinetic")
  set_target_properties(multires_widget PROPERTIES 
    CXX_STANDARD 11
    CXX_STANDARD_REQUIRED ON
  )
endif()

# Build nodes
set(VIEW_NODE_SRC_FILES src/nodes/multires_view_node.cpp)
qt5_wrap_cpp(VIEW_NODE_SRC_FILES include/${PROJECT_NAME}/multires_view_node.h)
add_executable(multires_view_node ${VIEW_NODE_SRC_FILES})
target_link_libraries(multires_view_node multires_widget)
if ($ENV{ROS_DISTRO} STREQUAL "kinetic" OR $ENV{ROS_DISTRO} STRLESS "kinetic")
  set_target_properties(multires_view_node PROPERTIES 
    CXX_STANDARD 11
    CXX_STANDARD_REQUIRED ON
  )
endif()

# Build mapviz plugin
set(MAPVIZ_SRC_FILES 
  src/${PROJECT_NAME}_plugin.cpp
  src/multires_view.cpp)
qt5_wrap_ui(MAPVIZ_SRC_FILES src/multires_config.ui)
qt5_wrap_cpp(MAPVIZ_SRC_FILES include/${PROJECT_NAME}/${PROJECT_NAME}_plugin.h)

add_library(${PROJECT_NAME}_plugin ${MAPVIZ_SRC_FILES})
target_link_libraries(${PROJECT_NAME}_plugin ${PROJECT_NAME})
if ($ENV{ROS_DISTRO} STREQUAL "kinetic" OR $ENV{ROS_DISTRO} STRLESS "kinetic")
  set_target_properties(${PROJECT_NAME}_plugin PROPERTIES 
    CXX_STANDARD 11
    CXX_STANDARD_REQUIRED ON
  )
endif()


### Install ${PROJECT_NAME} plugin ###
install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.h"
)

install(TARGETS ${PROJECT_NAME}
  multires_view_node
  multires_widget
  ${PROJECT_NAME}_plugin
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
)

catkin_install_python(PROGRAMS nodes/mapviz_tile_loader
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(DIRECTORY launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

install(FILES mapviz_plugins.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-noetic-multires-image (1.4.2-1buster) buster; urgency=high

  * Merge pull request #721 <https://github.com/swri-robotics/mapviz/issues/721> from rjb0026/720-allow-building-with-c++14-for-version-greater-than-kinetic
    720 allow building with c++14 for version greater than kinetic
  * Conditionally setting c++ standard per target.
  * Added conditional for building with C++11 in kinetic for multires_image and tile_map packages
  * Contributors: Matthew, rjb0026

 -- Marc Alban <malban@swri.org>  Tue, 13 Dec 2022 06:00:00 -0000

ros-noetic-multires-image (1.4.1-1buster) buster; urgency=high



 -- Marc Alban <malban@swri.org>  Thu, 22 Oct 2020 05:00:00 -0000

ros-noetic-multires-image (1.4.0-1buster) buster; urgency=high

  * Support ROS Noetic (#696 <https://github.com/swri-robotics/mapviz/issues/696>)
  * Contributors: P. J. Reed

 -- Marc Alban <malban@swri.org>  Tue, 28 Jul 2020 05:00:00 -0000

ros-noetic-multires-image (1.3.0-1buster) buster; urgency=high

  * Remove OpenGL warning (#667 <https://github.com/swri-robotics/mapviz/issues/667>)
  * Contributors: Daniel D'Souza

 -- Marc Alban <malban@swri.org>  Wed, 13 May 2020 05:00:00 -0000

ros-noetic-multires-image (1.2.0-1buster) buster; urgency=high

  * Use local_xy_origin for loading tiles of GPSFix not available (#634 <https://github.com/swri-robotics/mapviz/issues/634>)
  * Contributors: agyoungs

 -- Marc Alban <malban@swri.org>  Wed, 04 Sep 2019 05:00:00 -0000

ros-noetic-multires-image (1.1.1-1buster) buster; urgency=high



 -- Marc Alban <malban@swri.org>  Fri, 17 May 2019 05:00:00 -0000

ros-noetic-multires-image (1.1.0-1buster) buster; urgency=high



 -- Marc Alban <malban@swri.org>  Wed, 20 Feb 2019 06:00:00 -0000

ros-noetic-multires-image (1.0.1-1buster) buster; urgency=high



 -- Marc Alban <malban@swri.org>  Fri, 25 Jan 2019 06:00:00 -0000

ros-noetic-multires-image (1.0.0-1buster) buster; urgency=high

  * Sharing tf_manager_ between main app and plugins (#555 <https://github.com/swri-robotics/mapviz/issues/555>)
  * Contributors: Davide Faconti

 -- Marc Alban <malban@swri.org>  Wed, 23 Jan 2019 06:00:00 -0000

ros-noetic-multires-image (0.3.0-1buster) buster; urgency=high

  * Merge all -devel branches into a single master branch
  * Contributors: P. J. Reed

 -- Marc Alban <malban@swri.org>  Fri, 16 Nov 2018 06:00:00 -0000

ros-noetic-multires-image (0.2.6-1buster) buster; urgency=high



 -- Marc Alban <malban@swri.org>  Tue, 31 Jul 2018 05:00:00 -0000

ros-noetic-multires-image (0.2.5-1buster) buster; urgency=high

  * Add ability to set offset for multires image (#565 <https://github.com/swri-robotics/mapviz/issues/565>)
  * Fix multires image scale when projection is WGS84.
  * update to use non deprecated pluginlib macro
  * Mapviz tile loader (Kinetic) (#509 <https://github.com/swri-robotics/mapviz/issues/509>)
  * Change package.xml dep order
  * Support transparent tiles in multires_image
  * Contributors: Marc Alban, Mikael Arguedas, P. J. Reed, jgassaway

 -- Marc Alban <malban@swri.org>  Thu, 12 Apr 2018 05:00:00 -0000

ros-noetic-multires-image (0.2.4-1buster) buster; urgency=high



 -- Marc Alban <malban@swri.org>  Fri, 11 Aug 2017 05:00:00 -0000

ros-noetic-multires-image (0.2.3-1buster) buster; urgency=high



 -- Marc Alban <malban@swri.org>  Sat, 10 Dec 2016 06:00:00 -0000

ros-noetic-multires-image (0.2.2-1buster) buster; urgency=high

  * Migrated OpenCV to 3.1 (default in Kinetic)
  * Contributors: Brian Holt

 -- Marc Alban <malban@swri.org>  Wed, 07 Dec 2016 06:00:00 -0000

ros-noetic-multires-image (0.2.1-1buster) buster; urgency=high



 -- Marc Alban <malban@swri.org>  Sun, 23 Oct 2016 05:00:00 -0000

ros-noetic-multires-image (0.2.0-1buster) buster; urgency=high

  * Update Qt to version 5
  * Contributors: Ed Venator

 -- Marc Alban <malban@swri.org>  Thu, 23 Jun 2016 05:00:00 -0000

ros-noetic-multires-image (0.1.3-1buster) buster; urgency=high

  * Implement service for adding and modifying mapviz displays.
  * Fix for #339 <https://github.com/swri-robotics/mapviz/issues/339>; explicitly depending on OpenCV 2
  * Contributors: Marc Alban, P. J. Reed

 -- Marc Alban <malban@swri.org>  Fri, 20 May 2016 05:00:00 -0000

ros-noetic-multires-image (0.1.2-1buster) buster; urgency=high

  * Enables the possibility to load a one-layer tile set
  * Contributors: Vincent Rousseau

 -- Marc Alban <malban@swri.org>  Wed, 06 Jan 2016 06:00:00 -0000

ros-noetic-multires-image (0.1.1-1buster) buster; urgency=high

  * Use extension from geo file
  * Contributors: Vincent Rousseau

 -- Marc Alban <malban@swri.org>  Tue, 17 Nov 2015 06:00:00 -0000

ros-noetic-multires-image (0.1.0-1buster) buster; urgency=high



 -- Marc Alban <malban@swri.org>  Tue, 29 Sep 2015 05:00:00 -0000

ros-noetic-multires-image (0.0.3-1buster) buster; urgency=high



 -- Marc Alban <malban@swri.org>  Mon, 28 Sep 2015 05:00:00 -0000

ros-noetic-multires-image (0.0.2-1buster) buster; urgency=high

  * Adds missing qt4_opengl dependency

 -- Marc Alban <malban@swri.org>  Sun, 27 Sep 2015 05:00:00 -0000

ros-noetic-multires-image (0.0.1-1buster) buster; urgency=high

  * Renames all marti_common packages that were renamed.
    (See http://github.com/swri-robotics/marti_common/issues/231)
  * Fixes catkin_lint problems that could prevent installation.
  * Cleans up dependencies
  * Adds find_package(OpenCV REQUIRED) to cmake config
  * fixes lint issues
  * updates cmake version to squash the CMP0003 warning
  * removes dependencies on build_tools
  * uses format 2 package definition
  * fix missing organization in license text
  * exports the multires_image library
  * catkinizes mapviz
  * changes license to BSD
  * adds license and readme files
  * Contributors: Ed Venator, Edward Venator, Jerry Towler, Marc Alban, P. J. Reed

 -- Marc Alban <malban@swri.org>  Sun, 27 Sep 2015 05:00:00 -0000

=== debian/control ===
Source: ros-noetic-multires-image
Section: misc
Priority: optional
Maintainer: Marc Alban <malban@swri.org>
Build-Depends: debhelper (>= 9.0.0), libqt5opengl5-dev, qt5-qmake, qtbase5-dev, ros-noetic-catkin, ros-noetic-cv-bridge, ros-noetic-geometry-msgs, ros-noetic-gps-common, ros-noetic-mapviz, ros-noetic-pluginlib, ros-noetic-roscpp, ros-noetic-swri-math-util, ros-noetic-swri-transform-util, ros-noetic-swri-yaml-util, ros-noetic-tf
Homepage: https://github.com/swri-robotics/mapviz
Standards-Version: 3.9.2

Package: ros-noetic-multires-image
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqt5core5a, libqt5opengl5, ros-noetic-cv-bridge, ros-noetic-geometry-msgs, ros-noetic-gps-common, ros-noetic-mapviz, ros-noetic-pluginlib, ros-noetic-roscpp, ros-noetic-rospy, ros-noetic-swri-math-util, ros-noetic-swri-transform-util, ros-noetic-swri-yaml-util, ros-noetic-tf
Description: multires_image

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-multires-image//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
